PETSc version 3.17.4
Fix/Edit manual page

# PCHMGSetInnerPCType

Set an inner PC type

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHMGSetInnerPCType(PC pc, PCType type)

Logically Collective on PC

### Input Parameters

| pc | - the HMG context
| type | - <hypre, gamg> coarsening algorithm

### Options Database Keys

| -hmg_inner_pc_type <hypre, gamg> | - What method is used to coarsen matrix

### Keywords

HMG, multigrid, interpolation, coarsening

### See Also

PCHMG, PCType

### Level

beginner

### Location

src/ksp/pc/impls/hmg/hmg.c

### Examples

src/ksp/ksp/tutorials/ex4.c.html

### Implementations

PCHMGSetInnerPCType_HMG in src/ksp/pc/impls/hmg/hmg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages